<section class="section bg-white py-0 " id="introduction">
    <div class="myModal mymodeloverwrite">
        <div class="row canAppDiv modal-dialog modal-lg">

            <div class="col-md-12 modal-content model_overwrite">
                <div class="noDecor modal-body model_overwrite">
                    <div id="VerifyEmail-step">

                        <div class="form-horizontal bg-white">
                            <div class="text-center">
                                <a (click)="close()"><img class="logo-default" src="./assets/img/CANExchange.svg" width="auto"
                                        height="23px" alt="logo"></a>
                            </div>
                            <div class="form-progressbar nav-bar">
                                <div class="step step-details done">
                                    <span class="arrow fa fa-caret-down"></span>Details</div>
                                <div class="step step-payment-method previous-done active">
                                    <span class="arrow fa fa-caret-down"></span>Payment</div>
                                <div class="step step-deposit">
                                    <span class="arrow fa fa-caret-down"></span>Deposit</div>
                                <div class="step step-complete">
                                    <span class="arrow fa fa-caret-down"></span>Complete</div>
                            </div>
                            <form #personalForm="ngForm" class="form" novalidate>
                                <div class="text-center payment-body text-center">
                                    <span class="text-center" style="font-size: 14px; margin-bottom: 10px;">Choose specific
                                        ERC20 Token
                                    </span>
                                    <div class="text-center go-back float-left ">
                                        <b>
                                            <a href="javascript:void(0)" (click)="goToPrevious(personalForm)">
                                                <i class="fas fa-chevron-left"></i> Go Back</a>
                                        </b>
                                    </div>
                                    <div class="input-group mb-3">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1"><i class="fa fa-search"></i></span>
                                        </div>
                                        <input placeholder="Search..." type="text" class="form-control" name="search" (input)="search($event.target.value)">
                                    </div>

                                    <br />
                                    <div class="scrollbar scrollbar-primary">
                                        <div class="row method-container payment-margin-left">
                                            <div [className]="token_classes" style="margin-right: 8px; " *ngFor="let token of tokens;">

                                                <div [ngClass]="otherstest == token.name ? 'card-body active' : 'card-body'" style="cursor: pointer;" (click)="selectCurrency(token, key)">
                                                    <div class="radio float-right">

                                                        <input type="radio" name="optradio">

                                                    </div>
                                                    <div class="circle-cover">
                                                        <img class="logo-default" src="/assets/tokens/{{token.tokenid}}.png" width="auto" height="60px" alt="logo">
                                                    </div>
                                                    <span class="card-subtitle" style="font-size: 16px; font-weight: 550; margin-bottom: 2px; color: rgb(116, 114, 114);">{{token.symbol}}</span>
                                                    <h6 class=" " style="line-height: normal; font-size: 14px; color: rgb(151, 151, 151);">{{token.name}}</h6>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </form>

                            <span class="text-center help-line">{{error}}</span>

                            <div class="footer-buttons">

                                <span class="payments-font" style="bottom: 90px; right: 185px; position: absolute; font-size: 14px !important; margin-top: -4px; color: #33ccff;">{{formData.amount
                                    | number : '1.6-6'}} CAN
                                </span>
                                <span class="payments-font" style="bottom: 70px; right: 185px; position: absolute; font-size: 16px !important; margin-top: 15px; font-weight: 500;">=
                                    {{price | number : '1.8-8'}} {{selectedERC }}</span>
                                <button class="btn btn-success btn-outline-rounded btn-info float-right customColor" (click)="goToNext(personalForm,key)">
                                    Deposit</button>
                                <button class="btn btn-outline btn-white-trans" (click)="cancel()">
                                    Cancel</button>

                            </div>
                            <br />
                            <div class="text-center help-line">
                                <a href="#">Need Help?</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</section>